# WOK
TKWOK
WOKDeliv

# WOKDeliv_DelivBuildSource Class Reference

Produces Sources for a unit
.

`#include <WOKDeliv_DelivBuildSource.hxx>`

Inheritance diagram for WOKDeliv_DelivBuildSource:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DelivBuildSource (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DelivBuildSource::WOKDeliv_DelivBuildSource | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DelivBuildSource::AdmFileType | ( |  | ) | const`[virtual]`

| Reimplemented from WOKDeliv_DeliveryCopy.

virtual Standard_EXPORT void WOKDeliv_DelivBuildSource::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKDeliv_DeliveryCopy.

Standard_EXPORT const WOKDeliv_DelivBuildSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryCopy.

The documentation for this class was generated from the following file:

- WOKDeliv_DelivBuildSource.hxx